Mass messaging
Delete Automated Message
Delete an automated message.
https://v1.apifansly.com/api/fansly
DELETE
/{account_id}/automated-messages
Get Started
All requests to the Fansly API require an API Key. See the Authentication page for details.
curl -X DELETE "https://v1.apifansly.com/api/fansly/{account_id}/automated-messages/{automated_message_id}" \
-H "x-api-key: YOUR_API_KEY" fetch("https://v1.apifansly.com/api/fansly/{account_id}/automated-messages/{automated_message_id}", {
method: "DELETE",
headers: {
"x-api-key": "YOUR_API_KEY"
}
}) import requests
url = "https://v1.apifansly.com/api/fansly/{account_id}/automated-messages/{automated_message_id}"
headers = {
"x-api-key": "YOUR_API_KEY"
}
response = requests.delete(url, headers=headers)
print(response.json()) import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://v1.apifansly.com/api/fansly/{account_id}/automated-messages/{automated_message_id}"))
.header("x-api-key", "YOUR_API_KEY")
.DELETE()
.build();
client.sendAsync(request, HttpResponse.BodyHandlers.ofString())
.thenApply(HttpResponse::body)
.thenAccept(System.out::println)
.join(); using System.Net.Http;
using System.Threading.Tasks;
var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");
var response = await client.DeleteAsync("https://v1.apifansly.com/api/fansly/{account_id}/automated-messages/{automated_message_id}");
var responseString = await response.Content.ReadAsStringAsync();
Console.WriteLine(responseString); package main
import (
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://v1.apifansly.com/api/fansly/{account_id}/automated-messages/{automated_message_id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Set("x-api-key", "YOUR_API_KEY")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}Path Parameters
account_id*
stringThe unique identifier for the connected account.
Response
{
"statusCode": 200,
"message": "Success",
"data": {
"status_code": 200,
"data": {
"success": true,
"response": "automated message deleted"
}
},
"timestamp": "2026-06-29T17:24:50.693Z"
}